SOFTCVS(1)

NAME
softcvs - prepare a SoftImage database directory for adding to CVS

SYNOPSIS
softcvs [opts]

DESCRIPTION
softcvs is designed to prepare a directory hierarchy representing a SoftImage database for adding to CVS. First, it eliminates SoftImage's silly filename-based versioning system by renaming versioned filenames higher than 1-0 back to version 1-0. Then, it rolls up all the files for each scene except the texture images into a Panda multifile, which is added to CVS; the texture images are directly added to CVS where they are.

The reduction of hundreds of SoftImage files per scene down to one multifile and a handle of texture images should greatly improve the update and commit times of CVS.

You must run this from within the root of a SoftImage database directory; e.g. the directory that contains SCENES, PICTURES, MODELS, and so on.

OPTIONS

-nc Do not attempt to add newly-created files to CVS. The default is to add them.

-cvs cvs_binary
    Specify how to run the cvs program for adding newly-created files. The default is simply "cvs".

-h  Display this help page.